Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dicsv3.session
Interface DicsSessionService

All Known Implementing Classes:
  DicsSessionServiceImpl

    public interface DicsSessionService

interface with the methods of the dics v3 webservice. Default impl : `DicsSessionServiceImpl` Factory : `DicsSessionServiceFactory`

Method Summary
`FindAmpResponse` | `findAmp(FindAmpRequest findAmpRequest)`
`FindCommentedClassificationResponse` | `findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)`
`FindCompanyResponse` | `findCompany(FindCompanyRequest findCompanyRequest)`
`FindCompoundingFormulaResponse` | `findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)`
`FindCompoundingIngredientResponse` | `findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)`
`FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest findLegislationTextRequest)`
`FindReferencesResponse` | `findReferences(FindReferencesRequest findReferencesRequest)`
`FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest findReimbursementRequest)`
`FindVmpResponse` | `findVmp(FindVmpRequest findVmpRequest)`
`FindVmpGroupResponse` | `findVmpGroup(FindVmpGroupRequest findVmpRequest)`
`FindVtmResponse` | `findVtm(FindVtmRequest findVtmRequest)`

Method Detail

### findAmp

    FindAmpResponse findAmp(FindAmpRequest findAmpRequest)
                            throws TechnicalConnectorException

  Parameters:
    `findAmpRequest` -
  Returns:
    FindAmpResponse
  Throws:
    `TechnicalConnectorException`

### findCommentedClassification

    FindCommentedClassificationResponse findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)
                                                                    throws TechnicalConnectorException

  Parameters:
    `findCommentedClassificationRequest` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### findCompany

    FindCompanyResponse findCompany(FindCompanyRequest findCompanyRequest)
                                    throws TechnicalConnectorException

  Parameters:
    `findCompanyRequest` -
  Returns:
    FindCompanyResponse
  Throws:
    `TechnicalConnectorException`

### findIngredient

    FindCompoundingIngredientResponse findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)
                                                     throws TechnicalConnectorException

  Parameters:
    `findCompoundingIngredientRequest` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### findVmpGroup

    FindVmpGroupResponse findVmpGroup(FindVmpGroupRequest findVmpRequest)
                                      throws TechnicalConnectorException

  Parameters:
    `findVmpRequest` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### findVtm

    FindVtmResponse findVtm(FindVtmRequest findVtmRequest)
                            throws TechnicalConnectorException

  Parameters:
    `findVtmRequest` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### findFormula

    FindCompoundingFormulaResponse findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)
                                               throws TechnicalConnectorException

  Parameters:
    `findCompoundingFormulaRequest` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### findLegislationText

    FindLegislationTextResponse findLegislationText(FindLegislationTextRequest findLegislationTextRequest)
                                                    throws TechnicalConnectorException

  Parameters:
    `findLegislationTextRequest` -
  Returns:
    FindLegislationTextResponse
  Throws:
    `TechnicalConnectorException`

### findReferences

    FindReferencesResponse findReferences(FindReferencesRequest findReferencesRequest)
                                          throws TechnicalConnectorException

  Parameters:
    `findReferencesRequest` -
  Returns:
    FindReferencesResponse
  Throws:
    `TechnicalConnectorException`

### findReimbursement

    FindReimbursementResponse findReimbursement(FindReimbursementRequest findReimbursementRequest)
                                                throws TechnicalConnectorException

  Parameters:
    `findReimbursementRequest` -
  Returns:
    FindReimbursementResponse
  Throws:
    `TechnicalConnectorException`

### findVmp

    FindVmpResponse findVmp(FindVmpRequest findVmpRequest)
                            throws TechnicalConnectorException

  Parameters:
    `findVmpRequest` -
  Returns:
    FindVmpResponse
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.